<?php
namespace Inti\Config;

/**
 * Class ConfigProvider
 *
 * @package Inti\Config
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-config
 */
final class ConfigProvider
{
    /**
     * @return array
     */
    public function __invoke(): array
    {
        return [
            'dependencies' => $this->getDependencies(),
        ];
    }

    /**
     * @return array
     */
    public function getDependencies(): array
    {
        return [
            'factories' => [
                Middleware\ConfigMiddleware::class => Middleware\ConfigMiddlewareFactory::class,
            ],
        ];
    }
}
