<?php
namespace Inti\Config\Writer;

use Inti\Config\ConfigInterface;

/**
 * Writes the configuration to storage.
 *
 * @package Inti\Config\Writer
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-config
 */
interface WriterInterface
{
    /**
     * Writes the config value.
     *
     * @param string $key
     * @param ConfigInterface $config
     */
    public function write(string $key, ConfigInterface $config): void;
}
